package com.yd.api.practitioner.vo.organization;

import java.util.List;

public class InsurerBranchDeptInfo {
    private String insurerBranchIdEG;
    private String idEG;
    private Long id;
    private String deptCode;
    private String name;
    private String nameEn;
    private String contactName;
    private String contactNo;
    private String remark;
    private Integer isActive;
    private Long createdBy;
    private String createByName;
    private Long updatedBy;
    private String updatedByName;
    private String createdAt;
    private String updatedAt;
    private String address;
    private List<PractitionerSubordinateSystemInfo> practitionerSubordinateSystemInfoList;

    public String getInsurerBranchIdEG() {
        return insurerBranchIdEG;
    }

    public void setInsurerBranchIdEG(String insurerBranchIdEG) {
        this.insurerBranchIdEG = insurerBranchIdEG;
    }

    public String getIdEG() {
        return idEG;
    }

    public void setIdEG(String idEG) {
        this.idEG = idEG;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactNo() {
        return contactNo;
    }

    public void setContactNo(String contactNo) {
        this.contactNo = contactNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public List<PractitionerSubordinateSystemInfo> getPractitionerSubordinateSystemInfoList() {
        return practitionerSubordinateSystemInfoList;
    }

    public void setPractitionerSubordinateSystemInfoList(List<PractitionerSubordinateSystemInfo> practitionerSubordinateSystemInfoList) {
        this.practitionerSubordinateSystemInfoList = practitionerSubordinateSystemInfoList;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Long getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Long updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(String updatedByName) {
        this.updatedByName = updatedByName;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    public String getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(String updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
}
